Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 602825 - SELinux is preventing /bin/bash "setrlimit" access .
SELinux is preventing /bin/bash "setrlimit" access .
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
setroubleshoot_trace_hash:947060e2c5a...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-10 16:21 EDT by Doncho Gunchev
Modified: 2010-07-08 20:27 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-08 20:27:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Doncho Gunchev 2010-06-10 16:21:41 EDT
Summary:

SELinux is preventing /bin/bash "setrlimit" access .

Detailed Description:

SELinux denied access requested by mysqld_safe. It is not expected that this
access is required by mysqld_safe and this access may signal an intrusion
attempt. It is also possible that the specific version or configuration of the
application is causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                unconfined_u:system_r:mysqld_safe_t:s0
Target Context                unconfined_u:system_r:mysqld_safe_t:s0
Target Objects                None [ process ]
Source                        mysqld_safe
Source Path                   /bin/bash
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           bash-4.1.7-1.fc13
Target RPM Packages           
Policy RPM                    selinux-policy-3.7.19-21.fc13
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed)
                              2.6.33.5-112.fc13.x86_64 #1 SMP Thu May 27
                              02:28:31 UTC 2010 x86_64 x86_64
Alert Count                   1
First Seen                    Thu 10 Jun 2010 11:20:23 PM EEST
Last Seen                     Thu 10 Jun 2010 11:20:23 PM EEST
Local ID                      0b3efde2-9f69-45ad-beb3-bf2500a388b3
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1276201223.477:610): avc:  denied  { setrlimit } for  pid=26107 comm="mysqld_safe" scontext=unconfined_u:system_r:mysqld_safe_t:s0 tcontext=unconfined_u:system_r:mysqld_safe_t:s0 tclass=process

node=(removed) type=SYSCALL msg=audit(1276201223.477:610): arch=c000003e syscall=160 success=no exit=-13 a0=7 a1=7fff62e5e3a0 a2=0 a3=7fff62e5e100 items=0 ppid=26051 pid=26107 auid=1001 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=1 comm="mysqld_safe" exe="/bin/bash" subj=unconfined_u:system_r:mysqld_safe_t:s0 key=(null)



Hash String generated from  catchall,mysqld_safe,mysqld_safe_t,mysqld_safe_t,process,setrlimit
audit2allow suggests:

#============= mysqld_safe_t ==============
allow mysqld_safe_t self:process setrlimit;
Comment 1 Miroslav Grepl 2010-06-11 02:02:15 EDT
Did you add something in '/etc/my.cnf' file?
Comment 2 Doncho Gunchev 2010-06-21 07:01:10 EDT
Most likely:

[mysqld_safe]
nice = 2
Comment 3 Daniel Walsh 2010-06-21 09:21:47 EDT
I think we should add it.
Comment 4 Miroslav Grepl 2010-06-21 09:34:33 EDT
Yes. Fixed in selinux-policy-3.7.19-31.fc13.

Note You need to log in before you can comment on or make changes to this bug.